org.apache.felix.ipojo.manipulator.reporter

## Class SystemReporter

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.reporter.EmptyReporter
  - - org.apache.felix.ipojo.manipulator.reporter.SystemReporter

All Implemented Interfaces:
  Reporter

    public class SystemReporter
    extends EmptyReporter

A `SystemReporter` reports feedback from within the manipulation process.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`SystemReporter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error(String message, Object... args)` Add a message in the error list.
`void` `info(String message, Object... args)` Add an informative message It accepts a `Throwable` as last argument.
`void` `setEnableTrace(boolean enableTrace)`
`void` `trace(String message, Object... args)` Add aa trace message It accepts a `Throwable` as last argument.
`void` `warn(String message, Object... args)` Add a message in the warning list.

### Methods inherited from class org.apache.felix.ipojo.manipulator.reporter.EmptyReporter

`getErrors, getMessageArguments, getThrowable, getWarnings`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemReporter

    public SystemReporter()

### Method Detail

#### setEnableTrace

    public void setEnableTrace(boolean enableTrace)

#### trace

    public void trace(String message,
                      Object... args)

Description copied from interface: `Reporter`
Add aa trace message It accepts a `Throwable` as last argument.

Specified by:
  `trace` in interface `Reporter`
Overrides:
  `trace` in class `EmptyReporter`
Parameters:
  `message` - trace message.
  `args` - message's argument

#### info

    public void info(String message,
                     Object... args)

Description copied from interface: `Reporter`
Add an informative message It accepts a `Throwable` as last argument.

Specified by:
  `info` in interface `Reporter`
Overrides:
  `info` in class `EmptyReporter`
Parameters:
  `message` - info message.
  `args` - message's argument

#### warn

    public void warn(String message,
                     Object... args)

Description copied from interface: `Reporter`
Add a message in the warning list. It accepts a `Throwable` as last argument.

Specified by:
  `warn` in interface `Reporter`
Overrides:
  `warn` in class `EmptyReporter`
Parameters:
  `message` - warning message.
  `args` - message's argument

#### error

    public void error(String message,
                      Object... args)

Description copied from interface: `Reporter`
Add a message in the error list. It accepts a `Throwable` as last argument.

Specified by:
  `error` in interface `Reporter`
Overrides:
  `error` in class `EmptyReporter`
Parameters:
  `message` - error message.
  `args` - message's argument